Subject: Re: [Megaco] Digitmap

From: Christian Groves <[email-masked]>
Date: Tue, 04 Sep 2012 12:04:38 +1000

Hello Abhijit,

The text does say "if the digit map completion event allows" so if you 
check H.248.1 Annex E.6.2.2 which defines the digit map completion event 
it says:
"Possible values: a sequence of the characters "0" through "9", "A" 
through "F", and the long duration modifier "Z"."

S is not supported in a digit string and thus cannot be included.

If you want to include S you must use H.248.16 which allows this value 
however this would be the XDD package rather than the DD package.

Regards, Christian

On 30/08/2012 5:00 PM, Abhijit Dutta wrote:
>
> Hi,
>
> As pre spec:
>
> “If the timer expires and a member of the candidate set of 
> alternatives is fully satisfied, a timeout completion with full match 
> is reported.
>
> If the timer expires and part or none of any candidate alternative is 
> satisfied, a timeout completion with partial match is reported.
>
> In either case, if the digit map completion event allows for detailed 
> timeout reporting, the reported dial string will end with 'L', 'S', or 
> 'T' as appropriate"
>
> What we see is MG reports collected digit string but does not include 
> "S" event in cases where it appears the MG waited for the S timer to 
> expire before reporting the Digitstring.
>
> Q: should MG be including the Termination method with Digitstring ?
>
> Q: in case of PM with empty digit string, should the Termination 
> method be included ?
>
> Q: in case of PM, does the MS report the partially collected digits?
>
> If Digitmap is xxxx and MS detects “123” and S timer expires waiting 
> for 4th digit, which OBSERVEDEVENT should MS send:
>
> OBSERVEDEVENTS = 214 { 1:DD/CE { DS = "", METH = PM }, or
>
> OBSERVEDEVENTS = 214 { 1:DD/CE { DS = "123", METH = PM }, or
>
> OBSERVEDEVENTS = 214 { 1:DD/CE { DS = "123S", METH = PM }
>
> ~Thanx
>
> Abhijit
>
>
>
> _______________________________________________
> Megaco mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/megaco